[FFmpeg-cvslog] tests/fate-run: do not attempt to parse tiny_psnrs output if it failed
Michael Niedermayer
git at videolan.org
Fri Apr 24 01:56:44 CEST 2015
ffmpeg | branch: master | Michael Niedermayer <michaelni at gmx.at> | Thu Apr 23 04:27:56 2015 +0200| [c0d847e457c1ef72843a63853f1135d52b74131e] | committer: Michael Niedermayer
tests/fate-run: do not attempt to parse tiny_psnrs output if it failed
This avoids confusing syntax errors with awk later
Likely fixes awk errors at:
http://buildd.debian-ports.org/status/fetch.php?pkg=ffmpeg&arch=sparc64&ver=7%3A2.6.2-1&stamp=1428928967
Reviewed-by: Timothy Gu <timothygu99 at gmail.com>
Thanks-to: Andreas Cadhalpun <andreas.cadhalpun at googlemail.com> for the link
Signed-off-by: Michael Niedermayer <michaelni at gmx.at>
> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=c0d847e457c1ef72843a63853f1135d52b74131e
---
tests/fate-run.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 1a8ff94..7f129d7 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -43,7 +43,7 @@ compare(){
}
do_tiny_psnr(){
- psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0)
+ psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
val=$(expr "$psnr" : ".*$3: *\([0-9.]*\)")
size1=$(expr "$psnr" : '.*bytes: *\([0-9]*\)')
size2=$(expr "$psnr" : '.*bytes:[ 0-9]*/ *\([0-9]*\)')
More information about the ffmpeg-cvslog
mailing list